<?php 
/**
 * @package WordPress
 * @subpackage Webbutveckling
 */
 ?>
<div id="sidebar">
  <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(sidebar1) ) : ?>
<?php include (TEMPLATEPATH . '/searchform.php'); ?>
  <?php endif; ?>

  <div id="tabs">
    <ul>
      <li><a href="#comm" title="<?php _e('Latest Comments'); ?>"><span>
        <?php _e('Comments'); ?>
        </span></a></li>
      <li><a href="#popular" title="<?php _e('Popular Stories'); ?>"><span>
        <?php _e('Popular'); ?>
        </span></a></li>
    </ul>
    <div id="comm">
     	<ul class="sidebartabs">
<?php 
$comments = get_comments('number=10&status=approve');
  foreach($comments as $comm) :
    echo '<li><a href="';
	echo ($comm->comment_author_url);
	echo '">';
	echo($comm->comment_author);
	echo '</a> :';   
	echo strip_tags(substr(apply_filters('get_comment_text', $comm->comment_content), 0, 40));
  	echo '</li>';
endforeach;
?>
</ul>
    </div>
    <!-- POPULAR (MOST COMMENTED POSTS) -->
    <div id="popular">
      <?php include(TEMPLATEPATH . '/includes/popular.php' ); ?>
    </div>

  </div>
  <!-- end tabs -->
  <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(sidebar2) ) : ?>
  <div class="widget">
  <h3>
    <?php _e('Archives'); ?>
  </h3>
  <ul><?php wp_get_archives('type=monthly'); ?></ul>
  </div><!-- end widget -->
  <div class="widget">
  <h3>
    <?php _e('User Menu'); ?>
  </h3>
  <ul>
    <?php wp_register(); ?>
    <li>
      <?php wp_loginout(); ?>
    </li>
    <li><a href="http://gmpg.org/xfn/">
      <?php _e('<abbr title="XHTML Friends Network">XFN</abbr>'); ?>
      </a></li>
    <li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.'); ?>">WordPress</a></li>
    <?php wp_meta(); ?>
  </ul>
  </div><!-- end widget -->
  <div class="widget">
  <h3>
    <?php _e('Blogroll'); ?>
  </h3>
  <ul>
<?php wp_list_bookmarks('title_li=&categorize=0'); ?></ul>
  </div><!-- end widget -->
    <div class="widget">
    <h3>
    <?php _e('Categories'); ?>
  </h3>
  <ul>
  	<?php wp_list_categories('orderby=id&title_li='); ?>
</ul>
</div><!-- end widget -->
  <div class="widget">

  <h3><?php _e('Popular Tags'); ?>
</h3>
<div>
<?php wp_tag_cloud('smallest=8&largest=22'); ?>
</div>
</div><!-- end widget -->
  <div class="widget">
  <h3>
    <?php _e('Calendar'); ?>
  </h3>
  <div>
    <?php get_calendar(true); ?>
  </div>
 </div><!-- end widget -->
  <?php endif; ?>
</div><!-- end sidebar -->