<?php get_header(); 
/**
 * @package WordPress
 * @subpackage Webbutveckling
 */
 ?>
<div id="content">
<div id="main">
  <?php if (have_posts()) : ?>
  <?php while (have_posts()) : the_post(); ?>
  <p class="navigation"> <span class="previous">
    <?php previous_post_link( __('&laquo; %link')) ?>
    </span> <span class="next">
    <?php next_post_link(__('%link &raquo;')) ?>
    </span> </p>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <h2 class="pagetitle">
      <?php the_title(); ?>
    </h2>
	<p class="postmetadata">
		<span class="time"><?php the_time(__('F jS, Y')) ?></span>
     	<span class="author"><?php the_author() ?></span>
		<span class="comment"><?php comments_popup_link(__('No Comments &#187;'), __('1 Comment &#187;'), __('% Comments &#187;'), '', __('Comments Off')); ?></span>
		<?php edit_post_link('Edit', '<span class="edit">', '</span> '); ?>
	</p>
    <div class="entrytext">
    <?php the_content(__('(more...)')); ?>
<?php wp_link_pages(); ?>
    <div class="clearfix"></div>
     </div> 
     	<p class="postmetadata">
        <span class="category"><?php _e('Posted in'); echo ' '; the_category(', ') ?> </span>
		<?php if(function_exists('the_tags')) { ?>
        <span class="tags"> <?php the_tags('', ', ', ''); ?> </span>
	</p> <?php } ?>
      <p class="postmetadata alt"> <small> <?php printf(__('You can follow any responses to this entry through the <a href="%4$s">RSS 2.0</a> feed.'), get_the_time(__('l, F jS, Y')), get_the_time(__('g:i a')), get_the_category_list(', '), get_bloginfo_rss('comments_rss2_url')); ?>
        <?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open 
							printf(__('You can <a href="#respond">leave a response</a>, or <a href="%1$s">trackback</a> from your own site. '), trackback_url(false));
						?>
        <?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open 
							printf(__('Responses are currently closed, but you can <a href="%1$s">trackback</a> from your own site.'), trackback_url(false));
						?>
        <?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not 
							_e('You can skip to the end and leave a response. Pinging is currently not allowed.'); 
						?>
        <?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open 
							_e('Both comments and pings are currently closed.');
						?>
        <?php } edit_post_link(__('Edit this entry.'),'',''); ?>
        </small> </p>
   
  </div>
  <div id="comments-template">
    <?php comments_template(); ?>
  </div>
  <?php endwhile; else: ?>
  <p>
    <?php _e('Sorry, no posts matched your criteria.'); ?>
  </p>
  <?php endif; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
