<?php 
/**
 * @package WordPress
 * @subpackage Webbutveckling
 */
 ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title>
<?php if (is_home()) { bloginfo('name'); echo (' &raquo; '); bloginfo('description'); }
elseif (is_category()) { wp_title('&raquo;', TRUE, 'right');  bloginfo('description'); echo (' &raquo; '); bloginfo('name');}
elseif (is_single()) { wp_title('&raquo;', TRUE, 'right');  bloginfo('description'); echo (' &raquo; '); bloginfo('name');}
elseif (is_404()) {echo _e('Error 404 - Not Found');}
else { wp_title('&raquo;', TRUE, 'right');  bloginfo('description'); echo (' &raquo; '); bloginfo('name');}
?>
</title>
 <meta name="description" content="<?php if (is_home()) { bloginfo('name'); echo (' '); bloginfo('description');	}
else { wp_title(' ', TRUE, 'right'); bloginfo('description'); }?>" />
<meta name="keywords" content="" />
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<!-- leave this for stats -->
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="shortcut icon" type="image/ico" href="<?php bloginfo('template_url'); ?>favicon.ico" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_get_archives('type=monthly&format=link'); ?>
<?php wp_enqueue_script('jquery'); ?>
<?php wp_head(); ?>
<script type="text/javascript" src="<?php echo bloginfo(stylesheet_directory) .'/js/ui.tabs.js'; ?>">
</script><script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/global.js"></script>
<!--[if IE]>
<style type="text/css">
  .clearfix {
    zoom: 1;     /* triggers hasLayout */
    display: block;     /* resets display for IE/Win */
    }  /* Only IE can see inside the conditional comment
    and read this CSS rule. Don't ever use a normal HTML
    comment inside the CC or it will close prematurely. */
</style>
<![endif]-->
</head>
<body>
<?php
global $options;
foreach ($options as $value) {
    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
}
?>
<div id="container">
<div id="header">
<div id="nav">
<?php wp_page_menu('show_home=1&menu_class=nav&sort_column=menu_order'); ?>
</div>
	<div id="logo">
<?php if ($webbutveckling_logo){ ?>
	<h1 style="display:none;"><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
    <a href="<?php echo get_option('home'); ?>/"><img src="<?php $webbutvecklinglogo = get_option('webbutveckling_logo'); echo stripslashes($webbutvecklinglogo); ?>
" alt="<?php bloginfo('name'); ?>" /></a>
	<?php } else { ?>
	<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
	<?php } ?>
    </div> 	<!-- end logo -->

  <div id="desc">
    <?php bloginfo('description'); ?>
  </div>
</div><!-- end header -->